@font-face { /* SPACE */
 font-family:"OCRAStd";
 src:url("data/fonts/OCRAStd.otf") format("opentype");
}
@font-face { /* Titres */
 font-family:"CaviarDreams";
 src:url("data/fonts/CaviarDreams.ttf");
}
@font-face {
 font-family:"CaviarDreams";
 src:url("data/fonts/CaviarDreams_Bold.ttf");
 font-weight:bold;
}
@font-face {
 font-family:"CaviarDreams";
 src:url("data/fonts/CaviarDreams_Italic.ttf");
 font-style:italic;
}
@font-face {
 font-family:"CaviarDreams";
 src:url("data/fonts/CaviarDreams_BoldItalic.ttf");
 font-style:italic;
 font-weight:bold;
}
@font-face { /* Textes */
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-Regular.otf") format("opentype");
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-It.otf") format("opentype");
 font-style:italic;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-Bold.otf") format("opentype");
 font-weight:bold;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-BoldIt.otf") format("opentype");
 font-style:italic;
 font-weight:bold;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-BoldCn.otf") format("opentype");
 font-weight:bold;
 font-stretch:condensed;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-BoldCnIt.otf") format("opentype");
 font-style:italic;
 font-weight:bold;
 font-stretch:condensed;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-Semibold.otf") format("opentype");
 font-weight:600;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-SemiboldIt.otf") format("opentype");
 font-style:italic;
 font-weight:600;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-Medium.otf") format("opentype");
 font-weight:500;
}
@font-face {
 font-family:"MinionPro";
 src:url("data/fonts/MinionPro-MediumIt.otf") format("opentype");
 font-style:italic;
 font-weight:500;
}

*{margin:0;padding:0;border:0;font-family:"MinionPro"}
:focus{outline:none}
html,body{width:100%; height:100%;overflow:hidden;}
a { color:ivory; }
li, dt { text-indent:1em; margin-top:.5em; }
dt { font-weight:bold; text-transform: uppercase; color:ivory; }
dd { text-indent:3em; }
h3 { text-align:center; font-size:1.25em; text-transform: uppercase; }
.fond{
	background:url(data/galaxie.jpg) -4600px -5900px/12032px 7424px repeat;
	z-index:1;
	width:100%;
	height:100%;
	position:absolute;
	line-height:0;
}
.fond div {
	width:256px;
	height:256px;
	box-sizing:border-box;
	display:inline-block;
	line-height:initial;
	background:transparent 0 0/256px 256px no-repeat;
	/* border:1px dotted white; */
	background-blend-mode:color-burn;
}
.fond div span {
	margin:auto;
	background-color:ivory;
	display:none;
}
.freestar{z-index:300;position:absolute !important;}
.star{z-index:100;position:absolute !important;}
.star.trounoir {
	border-radius:50%;
	background:black;
	box-shadow:0 0 1em 1em black;
	opacity:.8;
}
.star.trounoir:hover {
	opacity:.3;
}
.vignette{display:block;}
.star.vignette{z-index:300;opacity:0;}
/* Attention, les .star doivent être au même niveau et AVANT les .fond pour que les constellations apparaissent */
.star:hover ~ .fond div {background-blend-mode:unset;}
.star.vignette:hover {opacity:1;}

#freeline{z-index:200;width:100%;position:fixed;top:0;}
#gregline{z-index:200;width:100%;position:fixed;top:0;}
#veraline{z-index:200;width:100%;position:fixed;bottom:0;}
.timeline {
	display: flex;
	justify-content: space-between;
  background:rgba(0, 0, 0, 0.73);
	box-shadow: black 8px 8px 12px;
	border-width: 1px;
	border-color: white;
	border-style: solid;
	border-radius: 15px;
  height:92px;
  margin:7px auto;
  vertical-align:middle;
  width:85%;
}
.timeline .left, .timeline .right{position:relative;padding:.7em;}
.timeline .left{left:0;}
.timeline .right{right:0;}
.timeline button {
  background:transparent;
  border:none;
  color:#DF1E25;
  cursor:pointer;
  font-size:2em;
  opacity:.5;
  outline:none;
}
.timeline button:hover{opacity:1;}

.timeline-container {
  overflow-x:hidden;
  white-space:nowrap;
}

.ui-draggable-dragging{opacity:1;}
.canDrop {
  border:hidden;
  box-shadow:0px 0px 3px -1px black;
  height:80px;
  margin: 4px 20px 0px 20px;
  width:80px;
  display:inline-table;
}
.drop_hover {
	background-color:rgba(128, 128, 128, .5);
}
#freeline .canDrop {
	background-color:rgba(128, 128, 128, .5);
  margin: 4px 0 0 0;
}
.canDrop img.canDrag {
	border:1px dotted rgba(128, 128, 128, .5);
}
/* Popups */
.popup-modal{
 z-index:400;
 opacity:1;
 position:fixed;top:0;left:0;right:0;bottom:0;
 transition:all 0.5s ease-out 0s;
 background:rgba(0,0,0,0.75);
 text-align:center;
 line-height:0px;
 cursor:pointer;
}
.popup-modal.popup-off{z-index:-400;opacity:0;}
.popup{
 transform:scale(.7);transition:all 0.5s ease-out 0s;
 max-height:100%;margin-bottom:2em;
 line-height:normal;
 display:inline-block;vertical-align:middle;
 position:relative;
 text-align:left;
 cursor:auto;
}
.popup.fullpage {
 height:100%;
 line-height:inherit;
 min-width:85%;
}
.popup-on .popup{transform:none;}

/***
 * Menu
 */
#menu {
	z-index:2000;
	left:5%;
	top:50%;
	position:fixed;
	transform:translate(-50%, -50%);
	cursor:pointer;
}
#menu .button {
	background:url(data/earthw.png) center/100px no-repeat;
	height:100px;
	width:100px;
	border:none;
	color:white;
	text-align:center;
	text-decoration:none;
	display:inline-block;
	cursor:pointer;
}
#menu p {
	font-family:OCRAStd;
	text-align:center;
	font-size:25px;
	color:white;
}
#menu:hover p {
	color:black;
}
#menu:hover .button {
	background:url(data/earthb.png) center/100px no-repeat;
}

/***
 * SPACE, credits, menu popup
 */
.page {
	display:none;
	font-weight:700;
	color:#ff6;
	text-align:center;
	font-size:2em;
	width:100%;
}
.page :not(header) { line-height:normal; }
.popup .page {
	display:inline-block;
}
/* Audio */
.page aside {
	position:fixed;
	bottom:0;
	left:0;
	z-index:10000;
}
/* « SPACE » */
.page header {
	font-family:"OCRAStd";
	font-size:6em;
	margin:auto;
	color:#000;
	text-shadow:-2px -2px 0 #ff6, 2px -2px 0 #ff6, -2px 2px 0 #ff6, 2px 2px 0 #ff6;
	z-index:1000;
	opacity:.2;
}
.page footer {
	font-family:"OCRAStd";
	color:#000;
	text-shadow:-2px -2px 0 #ff6, 2px -2px 0 #ff6, -2px 2px 0 #ff6, 2px 2px 0 #ff6;
	z-index:1000;
	position:fixed; bottom:0; right:0;
}
.page button {
	font-family:"OCRAStd";
	font-size:2em;
	display:block;
	margin:auto;
	color:#000;
	text-shadow:-2px -2px 0 #ff6, 2px -2px 0 #ff6, -2px 2px 0 #ff6, 2px 2px 0 #ff6;
	padding:.5em 1em;
	border:2px solid #ff6;
	border-radius:.5em;
	background:rgba(64,0,0,.5);
}
.page button:hover {
	background:rgba(128,0,0,.8);
}
#MENU.page section div h2 {
	margin:1em;
}
#MENU.page section div {
	text-align:center;
}
#MENU.page section div li {
	list-style-type:none;
}
/* Description */
.page section {
	position:absolute;
	height:100%;
	bottom:0;
	width:100%;
	margin:auto;
	text-align:center;
}
.page section p { margin:.5em 0; }
.page section h2 { font-family:"CaviarDreams"; text-align:center; }
.page section div {
	width:100%;
	text-align:justify;
	overflow:auto;
}
.page section:not(.animate) div {
	height:100%;
}
/* SPACE animations */
.page section.animate {
	overflow:hidden;
	transform-origin:50% 100%;
	transform:perspective(500px) rotateX(19deg);
	font-size:1.25em;
}
.page section.animate div {
	position:absolute;
	top:100%;
}
/*
.page section.animate:after {
	position: absolute;
	content: ' ';
	left:0;
	right:0;
	top:0;
	bottom:60%;
	background-image: linear-gradient(to bottom, rgba(0,0,0,1) 0%, transparent 100%);
	pointer-events: none;
}
*/
@keyframes logo {
	0% { transform:scale(0.1); opacity:0; }
	40% { opacity:1; }
	80% { transform:scale(1); opacity:1; }
	100% { opacity:0; }
}
.page header.animate.animating {
	animation:logo 20s ease-out;
	transform:scale(0.1);
	opacity:0;
}
/* Pas très pertinent de stopper cette animation là je trouve.
 .page header.animate.animating:hover { animation-play-state: paused; }
*/
@keyframes info {
	0% { transform:scale(0.1); opacity:0; }
	80% { transform:scale(0.1); opacity:0; }
	90% { opacity:1; }
	100% { transform:scale(1); opacity:1; }
}
.page footer.animate.animating {
	animation:info 30s ease-out;
	transform:scale(1);
}
@keyframes scroll {
	0% { top:100%; opacity:0; }
	10% { opacity:1; }
	100% { top:-150%; }
}
@keyframes scroll2 {
	0% { top:100%; opacity:0; }
	10% { opacity:1; }
	100% { top:-800%; }
}
.page section.animate.animating div {
	animation:scroll 60s linear 5s infinite;
}
.page section.animate.animating div:hover {
    animation-play-state:paused;
}
#CREDITS.page section.animate.animating div {
	animation:scroll2 120s linear 0s infinite;
}
#CREDITS.page section.animate.animating div:hover {
    animation-play-state:paused;
}

/***
 * Bulle
 */
.bulle {
	display:none;
	font-weight:700;
	color:#ff6;
	text-align:center;
	box-shadow:0 0 1em rgb(50,0,0);
	background:rgba(50,0,0,.5);
	border-radius:2em;
	padding:1em;
	font-size:2em;
}
.popup .bulle {
	display:inline-block;
}
